| Kea 3.0.2-git

parser_context.h File Reference
`#include <string>`
`#include <map>`
`#include <vector>`
`#include <agent/agent_parser.h>`
`#include <agent/parser_context_decl.h>`
`#include <exceptions/exceptions.h>`
Include dependency graph for agent/parser_context.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::agent::ParserContext
| Parser context is a wrapper around flex/bison instances dedicated to Control-agent config file parser. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::agent

## Macros
#define | YY_DECL isc::agent::AgentParser::symbol_type agent_lex (ParserContext& driver)

## Variables
| YY_DECL

## Macro Definition Documentation

## ◆ YY_DECL

#define YY_DECL isc::agent::AgentParser::symbol_type agent_lex (ParserContext& driver)

Definition at line 17 of file agent/parser_context.h.

## Variable Documentation

## ◆ YY_DECL

YY_DECL

Definition at line 20 of file agent/parser_context.h.